grsecurity-3.1-4.7.1-201608161813.patch doesn't compile

Discuss usability issues, general maintenance, and general support issues for a grsecurity-enabled system.

Moderators: spender, PaX Team

grsecurity-3.1-4.7.1-201608161813.patch doesn't compile

Postby adminwset » Fri Aug 19, 2016 3:39 am

Hello
I try compile Kernel 4.7.1 with grsecurity-3.1-4.7.1-201608161813.patch on Debian SiD:

root@taken:/usr/src/linux# make
HOSTCC scripts/basic/fixdep
HOSTCC scripts/basic/bin2c
HOSTCC arch/x86/tools/relocs_32.o
HOSTCC arch/x86/tools/relocs_64.o
HOSTCC arch/x86/tools/relocs_common.o
HOSTLD arch/x86/tools/relocs
CHK include/config/kernel.release
CHK include/generated/uapi/linux/version.h
CHK include/generated/utsrelease.h
In file included from <stdin>:1:0:
./scripts/gcc-plugins/gcc-common.h:4:22: fatal error: bversion.h: No such file or directory
#include "bversion.h"
^
compilation terminated.
Cannot use CONFIG_GCC_PLUGINS: your gcc installation does not support plugins, perhaps the necessary headers are missing?
PAX_MEMORY_STACKLEAK and other features will be less secure
scripts/Makefile.gcc-plugins:83: recipe for target 'gcc-plugins-check' failed
make: *** [gcc-plugins-check] Error 1


I try compille 4.7.1 without grsec patch and compile with no problem.
Best Regards
TaKeN
adminwset
 
Posts: 8
Joined: Fri May 07, 2004 6:05 am

Re: grsecurity-3.1-4.7.1-201608161813.patch doesn't compile

Postby adminwset » Fri Aug 19, 2016 3:52 am

Ok after:
apt-get install gcc-6-plugin-dev

Compile OK - everything working good.
Close this :-)
adminwset
 
Posts: 8
Joined: Fri May 07, 2004 6:05 am


Return to grsecurity support

cron